From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: media-video/obs-vkcapture/
Date: Sat, 10 Jun 2023 10:56:15 +0000 (UTC) [thread overview]
Message-ID: <1686203146.3f2596da8b0008abaad4fd03d96d05e1334dbf87.flow@gentoo> (raw)
commit: 3f2596da8b0008abaad4fd03d96d05e1334dbf87
Author: Kostadin Shishmanov <kocelfc <AT> tutanota <DOT> com>
AuthorDate: Thu Jun 8 05:45:46 2023 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Thu Jun 8 05:45:46 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3f2596da
media-video/obs-vkcapture-9999: enable multilib, update EAPI 7 -> 8
Signed-off-by: Kostadin Shishmanov <kocelfc <AT> tutanota.com>
.../obs-vkcapture/obs-vkcapture-9999.ebuild | 25 ++++++++++++++++------
1 file changed, 18 insertions(+), 7 deletions(-)
diff --git a/media-video/obs-vkcapture/obs-vkcapture-9999.ebuild b/media-video/obs-vkcapture/obs-vkcapture-9999.ebuild
index 7c3049cab..685b7e336 100644
--- a/media-video/obs-vkcapture/obs-vkcapture-9999.ebuild
+++ b/media-video/obs-vkcapture/obs-vkcapture-9999.ebuild
@@ -1,11 +1,11 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
CMAKE_REMOVE_MODULES_LIST=( FindFreetype )
-inherit xdg cmake
+inherit xdg cmake-multilib
if [[ ${PV} == 9999 ]]; then
inherit git-r3
@@ -25,20 +25,22 @@ IUSE=""
BDEPEND="
dev-util/vulkan-headers
media-libs/shaderc
- media-libs/vulkan-loader
+ media-libs/vulkan-loader[${MULTILIB_USEDEP}]
>=media-video/obs-studio-27[wayland]
- x11-libs/libdrm
+ x11-libs/libdrm[${MULTILIB_USEDEP}]
"
RDEPEND="
- media-libs/libglvnd
+ media-libs/libglvnd[${MULTILIB_USEDEP}]
>=media-video/obs-studio-27[wayland]
- x11-libs/libdrm
- x11-libs/libxcb:=
+ x11-libs/libdrm[${MULTILIB_USEDEP}]
+ x11-libs/libxcb:=[${MULTILIB_USEDEP}]
"
QA_SONAME="
/usr/lib64/libVkLayer_obs_vkcapture.so
/usr/lib64/libobs_glcapture.so
+ /usr/lib/libVkLayer_obs_vkcapture.so
+ /usr/lib/libobs_glcapture.so
"
src_unpack() {
@@ -48,3 +50,12 @@ src_unpack() {
git-r3_src_unpack
fi
}
+
+multilib_src_configure() {
+if ! multilib_is_native_abi; then
+ local mycmakeargs+=(
+ -DBUILD_PLUGIN=OFF
+ )
+fi
+ cmake_src_configure
+}
next reply other threads:[~2023-06-10 10:56 UTC|newest]
Thread overview: 24+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-06-10 10:56 Florian Schmaus [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-01 22:03 [gentoo-commits] repo/proj/guru:master commit in: media-video/obs-vkcapture/ Julien Roy
2024-04-14 15:11 Julien Roy
2024-04-14 15:11 Julien Roy
2024-02-17 15:48 Rui Huang
2023-11-29 22:40 David Roman
2023-11-29 22:40 David Roman
2023-10-21 11:08 David Roman
2023-10-21 11:08 David Roman
2023-06-17 7:03 Viorel Munteanu
2023-06-17 7:03 Viorel Munteanu
2023-06-10 10:56 Florian Schmaus
2023-06-10 10:56 Florian Schmaus
2022-09-09 20:02 Ronny Gutbrod
2022-07-23 17:36 Haelwenn Monnier
2022-02-13 20:24 Arthur Zamarin
2022-01-12 15:20 Florian Schmaus
2021-09-23 6:45 Arthur Zamarin
2021-09-20 19:06 Arthur Zamarin
2021-09-20 9:41 Andrew Ammerlaan
2021-09-16 17:57 Arthur Zamarin
2021-09-15 7:50 Arthur Zamarin
2021-09-11 14:43 Arthur Zamarin
2021-09-11 14:43 Arthur Zamarin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1686203146.3f2596da8b0008abaad4fd03d96d05e1334dbf87.flow@gentoo \
--to=flow@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox